Skip to main content
POST
/
v1
/
config
/
screen
Creates a new screen
curl --request POST \
  --url https://api.mezmo.com/v1/config/screen \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "rotate90Degrees": true,
  "categories": [
    "<string>"
  ],
  "widgets": [
    {
      "id": "<string>",
      "field": "<string>",
      "position": {
        "start": [
          "<unknown>"
        ],
        "end": [
          "<unknown>"
        ]
      },
      "match": "<string>",
      "filter": "<string>",
      "label": "<string>",
      "leftLabel": "<string>",
      "rightLabel": "<string>",
      "showBarChart": true,
      "groupBy": "<string>",
      "min": 123,
      "max": 123,
      "units": "<string>"
    }
  ]
}
'
{
  "id": "<string>",
  "title": "<string>",
  "rotate90Degrees": true,
  "account": "<string>",
  "categories": [
    "<string>"
  ],
  "widgets": [
    {
      "id": "<string>",
      "field": "<string>",
      "position": {
        "start": [
          "<unknown>"
        ],
        "end": [
          "<unknown>"
        ]
      },
      "match": "<string>",
      "filter": "<string>",
      "label": "<string>",
      "leftLabel": "<string>",
      "rightLabel": "<string>",
      "showBarChart": true,
      "groupBy": "<string>",
      "min": 123,
      "max": 123,
      "units": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This key is used for all apis with the exception of ingest. You can obtain it following these instructions and placing the key in the header of your call in the format of Authorization: Token {accesstoken} For example:

curl -H 'Authorization: Token <ACCESS TOKEN>'

Body

application/json

Request body.

title
string
required

The title of this screen.

ratio
enum<string>
required

The width to height aspect ratio of this screen.

Available options:
3:2,
4:3,
5:4,
16:9,
16:10,
21:9
rotate90Degrees
boolean
required

Whether the screen is rotated 90 degrees. Setting to true effectively swaps the width to height ratio.

background
enum<string>
required

The background color to use when viewing the screen.

Available options:
dark,
light
categories
string[]

A list of string categories the screen belongs to.

widgets
object[]

Response

A new screen was created successfully! Entire memberResource is returned.

id
string
required
read-only

The identifier of this screen.

title
string
required

The title of this screen.

ratio
enum<string>
required

The width to height aspect ratio of this screen.

Available options:
3:2,
4:3,
5:4,
16:9,
16:10,
21:9
rotate90Degrees
boolean
required

Whether the screen is rotated 90 degrees. Setting to true effectively swaps the width to height ratio.

background
enum<string>
required

The background color to use when viewing the screen.

Available options:
dark,
light
account
string
read-only

The account this screen belongs to.

categories
string[]

A list of string categories the screen belongs to.

widgets
object[]